QXmppElement Class Reference

QXmppElement represents a raw XML element with possible children. More...

`#include <QXmppElement.h>`

## Public Member Functions

| QXmppElement (const QXmppElement &other)
| QXmppElement (const QDomElement &element)
QDomElement | sourceDomElement () const
QStringList | attributeNames () const
QString | attribute (const QString &name) const
void | setAttribute (const QString &name, const QString &value)
void | appendChild (const QXmppElement &child)
QXmppElement | firstChildElement (const QString &name=QString()) const
QXmppElement | nextSiblingElement (const QString &name=QString()) const
void | removeChild (const QXmppElement &child)
QString | tagName () const
void | setTagName (const QString &type)
QString | value () const
void | setValue (const QString &text)
bool | isNull () const
void | toXml (QXmlStreamWriter *writer) const
QXmppElement & | operator= (const QXmppElement &other)

## Detailed Description

QXmppElement represents a raw XML element with possible children.

The documentation for this class was generated from the following files:

- QXmppElement.h
- QXmppElement.cpp